Package com.collabnet.ce.soap60.webservices.wiki

# Class WikiAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.wiki.WikiAppSoap

All Implemented Interfaces:
  `IWikiAppSoap`

public class WikiAppSoap extends WebService implements IWikiAppSoap
Provides SOAP web service for wiki application.

Change History

Version 4.4: No changes.

Since:
  4.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WikiAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)`
  Attaches the uploaded file to the specified wiki page.
  `void`
  `addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)`
  Attaches the uploaded file to the specified wiki page.
  `WikiPageSoapDO`
  `createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment)`
  Creates a new wiki page with the specified name, text, etc.
  `void`
  `deleteWikiPage(String sessionId, String wikiPageId)`
  Deletes a wiki page.
  `String`
  `getFormattedWikiPageText(String sessionId, String wikiPageId)`
  Gets specified wiki page text in formatted (HTML) form.
  `WikiPageSoapDO`
  `getWikiPageData(String sessionId, String wikiPageId)`
  Gets specified wiki page data.
  `WikiPageSoapDO`
  `getWikiPageDataByName(String sessionId, String projectId, String wikiPageName)`
  Gets specified wiki page text in formatted (HTML) form.
  `WikiPageSoapList`
  `getWikiPageList(String sessionId, String projectId)`
  Lists all wiki pages that have contents within a project.
  `void`
  `setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)`
  Sets specified wiki page data.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WikiAppSoap

    public WikiAppSoap()

- ## Method Details

  - ### createWikiPage

    public WikiPageSoapDO createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, IllegalArgumentFault, ObjectAlreadyExistsFault, SystemFault
    Creates a new wiki page with the specified name, text, etc.
    Specified by:
      `createWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `projectId` - Project in which to create a wiki page.
      `name` - Wiki page name.
      `wikiText` - Wiki text for the page.
      `versionComment` - Wiki page version comment.
    Returns:
      Wiki page data object.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `IllegalArgumentFault` - when one or more of the parameters are invalid.
      `ObjectAlreadyExistsFault` - when a page with the specified name already exists in the project
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### deleteWikiPage

    public void deleteWikiPage(String sessionId, String wikiPageId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Deletes a wiki page.
    Specified by:
      `deleteWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### getWikiPageData

    public WikiPageSoapDO getWikiPageData(String sessionId, String wikiPageId) throws IllegalArgumentFault, InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Gets specified wiki page data.
    Specified by:
      `getWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page data object.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### getFormattedWikiPageText

    public String getFormattedWikiPageText(String sessionId, String wikiPageId) throws IllegalArgumentFault, InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Gets specified wiki page text in formatted (HTML) form.
    Specified by:
      `getFormattedWikiPageText` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### getWikiPageDataByName

    public WikiPageSoapDO getWikiPageDataByName(String sessionId, String projectId, String wikiPageName) throws IllegalArgumentFault, InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Gets specified wiki page text in formatted (HTML) form. "HomePage" is the default Wiki application home page.
    Specified by:
      `getWikiPageDataByName` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `wikiPageName` - Name of the wiki page.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### getWikiPageList

    public WikiPageSoapList getWikiPageList(String sessionId, String projectId) throws IllegalArgumentFault, InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Lists all wiki pages that have contents within a project.
    Specified by:
      `getWikiPageList` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      wiki page list
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3 SP1 HOTFIX1

  - ### setWikiPageData

    public void setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, IllegalArgumentFault, VersionMismatchFault, SystemFault
    Sets specified wiki page data.
    Specified by:
      `setWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageData` - Wiki page data object.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `IllegalArgumentFault` - when wiki page data information is invalid.
      `VersionMismatchFault` - when wiki page data is stale.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### addAttachment

    public void addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype) throws InvalidSessionFault, NoSuchObjectFault, NoSuchVersionFault, PermissionDeniedFault, SystemFault
    Attaches the uploaded file to the specified wiki page. The attachment file id is returned by one of the file storage services to upload the file (e.g. FileStorageApp or SimpleFileStorageApp service).
    Specified by:
      `addAttachment` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `fileId` - Attachment file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
      `filename` - Attachment file name.
      `mimetype` - Attachment file type.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `NoSuchVersionFault` - when the specified version is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.3

  - ### addAttachments

    public void addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments) throws InvalidSessionFault, NoSuchObjectFault, NoSuchVersionFault, PermissionDeniedFault, SystemFault
    Attaches the uploaded file to the specified wiki page. The attachment file id is returned by one of the file storage services to upload the file (e.g. FileStorageApp or SimpleFileStorageApp service).
    Specified by:
      `addAttachments` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `attachments` - AttachmentSoapDO.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `NoSuchVersionFault` - when the specified version is invalid.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      6.2